#!/bin/nawk -f
#$GPGGA,235600.50,0725.8778,N,09459.9153,W,1,08,01.2,+00043,M,,M,,*61
#$GPGGA,235602.50,0725.8844,N,09459.9152,W,1,08,01.2,+00043,M,,M,,*62
#$LGZDA,235600.00,29,06,2001,,
#$LGZDA,235700.00,29,06,2001,,
#30 06 2001      2356   5 14.4689 -94 59.3075            pc08    1.0
#30 06 2001      2357   5 14.4102 -94 59.2881            pc08    1.0
BEGIN {
	FS = ","
	day = 0
	month = 0
	year = 0
	printf "%s\n","30 06 2001      2357   5 14.4102 -94 59.2881            pc08    1.0"
}

{

	if ($1 == "$LGZDA") {
		day = $3
		month = $4
		year = $5
		next
	}
	if ($1 != "$GPGGA") next


	time = $2

	hour = substr ( time, 1, 2)
	minute = substr (time, 3, 2)
	second = substr (time, 5, 2)

	printf "%02d %02d %02d\n", hour, minute, second

	if ( second != 0) next

	lat = $3
	lat_hemi = $4

	lat_deg = substr ( lat, 1, 2)
	lat_min = substr ( lat, 3)
	if ( lat_hemi == "S") {
		lat_deg = 0 - lat_deg
		if ( lat_deg == 0) lat_min -= 0
	}

	lon = $5
	lon_hemi = $6
	lon_deg = substr ( lon, 1, 3)
	lon_min = substr ( lon, 4)
	if ( lon_hemi == "W") {
		lon_deg = 0 - lon_deg
		if ( lon_deg == 0) lon_min = 0 - lon_min
	}
	no_sats = $8
	printf "%02d %02d %04d", day, month, year
	printf "      %02d%02d ", hour, minute
	printf " %02d %07.4f", lat_deg, lat_min
	printf  "%04d %07.4f ", lon_deg, lon_min
	printf "           as%02d    1.0", no_sats
	printf "\n"
}

END {
}
